/**
Theme Name: Astra Child
Author: Procom
Author URI: http://wpastra.com/about/
Description: Child theme for our custom codes.
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra-child
Template: astra
*/



.current {
	color: #000 !important;
}
.custom-sider-home .m-b-xxl {
    margin-bottom: 0px !important;
}

#coupon-error-notice {
	color: red;
	font-size: 16px;
}

.apply-coupon.button-type {
	color: #000;
	font-weight: 600;
	text-decoration: underline;
}

.woocommerce-checkout .available-coupons {
	margin-bottom: 20px !important;
}
.custom-slider-products .wpcbn-btn.wpcbn-btn-archive.button.add_to_cart_button, .wpcbn-btn.wpcbn-btn-archive.button.product_type_simple.add_to_cart_button {
	display: none;
}

.shop_table.cart-table .actions button {
	height: min-content !important;
}
.vc_row.wpb_row.row.top-row.vc_custom_1735550430471 {
	padding: 0px !important;
}
.vc_custom_1735550430471 {
	margin-top: 0px !important;
}
.custom-slider-new .vc_images_carousel .vc_carousel-control .icon-next, 
.custom-slider-new .vc_images_carousel .vc_carousel-control .icon-prev {
	width: 30px;
	height: 30px;
	margin-top: -15px;
	margin-left: -20px;
	font-size: 30px;
	display: block;
	padding: 20px;
	background-color: gray;
	border-radius: 30px;
}


.custom-slider-new .vc_images_carousel .vc_carousel-control .icon-prev::before {
	content: '\2039';
	position: relative;
	top: -13px;
	color: #fff;
	left: -5px;
}
.custom-slider-new .vc_images_carousel .vc_carousel-control .icon-next::before {
	content: '\203a';
	position: relative;
	top: -13px;
	left: -5px;
	color: #fff;
}

#announcement-bar {
	width: 100%;
	background-color: #ea0d6f;
	overflow: hidden;
	white-space: nowrap;
	padding: 10px 0;
	min-height: 40px;
}

.scrolling-text {
	display: inline-block;
	padding-left: 100%;
	animation: scroll-left 20s linear infinite;
	font-weight: 500;
	margin-bottom: 0;
	color: #fff;
}
.scrolling-text:hover {
	animation-play-state: paused;
} 

@keyframes scroll-left {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-100%);
  }
}


.vc_row.wpb_row.row.top-row.features {
    max-width: 960px;
    margin: 0 auto;
}
.fordesktop, .formobile {
	display: none;
}

@media(min-width:767px) {
	.custom-online-new.display-mobile {
		display: none;
	}
}


@media(max-width:767px) {
	.formobile {
	display: none;
}
	.vc_row.wpb_row.row.top-row.features {
    max-width: 460px;
}
	.vc_row.wpb_row.row.top-row.features .vc_column_container.col-md-3 {
    width: 50%;
    padding: 10px;
}
.custom-online-new .vc_column_container.col-md-1-5, 
.custom-online-new .vc_column_container.col-md-6 {
	width: 50%;
} 
.section {
	padding: 50px 0 10px;
}
}



.custom-slider {
    width: 100%;
    height: 100vh;   /* fallback */
    height: 100svh; 
    position: relative;
    overflow: hidden;
}

/* Slides wrapper */
.custom-slider .slides {
    display: flex;                  /* IMPORTANT */
    height: 100%;
    transition: transform 0.9s ease-in-out;
    will-change: transform;
	transform: translateZ(0);
}

/* All slides */
.custom-slider .slides img {
    width: 100%;
    height: 100%;
    min-width: 100%;                /* IMPORTANT */
    object-fit: cover;
    object-position: center;
    flex-shrink: 0;
    display: block;                 /* NO display:none */
}

.custom-slider .nav-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 2;
}

.custom-slider .nav-btn.left {
    left: 20px;
}

.custom-slider .nav-btn.right {
    right: 20px;
}

/* Mobile optimization */
@media (max-width: 768px) {
    .custom-slider {
        height: 100%;
    }
	.custom-feature-section .vc_column_container.col-md-3.col-xxl-3 {
        width: 50% !important;
    }
	.row.custom-feature-section {
    --bs-gutter-x: 0px;
}
	.custom-feature-section .porto-sicon-box {
    padding: 20px 10px !important;
    height: 160px;
}
}

/* Elementor full-width fix */
.container .custom-slider,
.page-top > .container .custom-slider {
    margin-left: -4.27vw;
    margin-right: -4.27vw;
    width: calc(100% + 8.54vw);
}

.custom-slider .nav-btn {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	background: rgba(0, 0, 0, 0.19);
	color: #fff;
	border: none;
	padding: 4px 11px;
	cursor: pointer;
	font-size: 12px;
	z-index: 10;
	border-radius: 50%;
}
